<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" >

	<xsl:output method="html"/>

	<xsl:template match="/">
		<xsl:element name="table">
			<xsl:attribute name="class">dataTable</xsl:attribute>
			<xsl:element name="thead">
				<xsl:element name="tr">
					<xsl:attribute name="class">captionRow</xsl:attribute>
					<xsl:element name="th">Variable Description</xsl:element>
					<xsl:element name="th">
						<xsl:attribute name="width">70%</xsl:attribute> Value </xsl:element>
				</xsl:element>
			</xsl:element>
			<xsl:element name="tbody">

			  
			  <xsl:element name="tr">
			    <xsl:attribute name="class">altRowColor</xsl:attribute>
			    <xsl:element name="td">
			      <xsl:attribute name="class">propertyValue</xsl:attribute>Name of the system this service event relates to.</xsl:element>
			    <xsl:element name="td">
			      <xsl:attribute name="class">propertyValue</xsl:attribute>
			      <xsl:attribute name="width">70%</xsl:attribute>
			      <xsl:value-of select="/ServiceEvent/ReportingDeviceName" />
			    </xsl:element>
			  </xsl:element>

			  
			  <xsl:element name="tr">
			    <xsl:element name="td">
			      <xsl:attribute name="class">propertyValue</xsl:attribute>IP Address of the system this service event relates to.</xsl:element>
			    <xsl:element name="td">
			      <xsl:attribute name="class">propertyValue</xsl:attribute>
			      <xsl:attribute name="width">70%</xsl:attribute>
			      <xsl:value-of select="/ServiceEvent/ReportingDeviceIP" />
			    </xsl:element>
			  </xsl:element>
			  
			  <xsl:element name="tr">
			    <xsl:attribute name="class">altRowColor</xsl:attribute>
			    <xsl:element name="td">
			      <xsl:attribute name="class">propertyValue</xsl:attribute>The severity of the service incident.  </xsl:element>
			    <xsl:element name="td">
			      <xsl:attribute name="class">propertyValue</xsl:attribute>
			      <xsl:attribute name="width">70%</xsl:attribute>
			      <xsl:value-of select="/ServiceEvent/Severity" />
			    </xsl:element>
			  </xsl:element>
			  
			  <xsl:element name="tr">
			    <xsl:attribute name="class">altRowColor</xsl:attribute>
			    <xsl:element name="td">
			      <xsl:attribute name="class">propertyValue</xsl:attribute>The status of the service incident.</xsl:element>
			    <xsl:element name="td">
			      <xsl:attribute name="class">propertyValue</xsl:attribute>
			      <xsl:attribute name="width">70%</xsl:attribute>
			      <xsl:value-of select="/ServiceEvent/AnalyzerStatus" />
			    </xsl:element>
			  </xsl:element>
			  
			  <xsl:element name="tr">
			    <xsl:element name="td">
			      <xsl:attribute name="class">propertyValue</xsl:attribute>Provides the URL to the event analysis report.	    
			    </xsl:element>
			    <xsl:element name="td">
			      <xsl:attribute name="class">propertyValue</xsl:attribute>
			      <xsl:attribute name="width">70%</xsl:attribute>
			      <xsl:element name="a">
			        <xsl:attribute name="href">
			          <xsl:value-of select="string(/ServiceEvent/AnalysisReportURL )" />
			        </xsl:attribute>
			        <xsl:attribute name="target">_new</xsl:attribute>
			        <xsl:value-of select="string(/ServiceEvent/AnalysisReportURL )" />
			      </xsl:element>
			    </xsl:element>
			  </xsl:element>

			  <xsl:element name="tr">
			    <xsl:element name="td">
			      <xsl:attribute name="class">propertyValue</xsl:attribute>Brief description of the event that initiated the service incident.	</xsl:element>
			    <xsl:element name="td">
			      <xsl:attribute name="class">propertyValue</xsl:attribute>
			      <xsl:attribute name="width">70%</xsl:attribute>
			      <xsl:value-of select="/ServiceEvent/Caption" />
			    </xsl:element>
			  </xsl:element>
			  

			  <xsl:element name="tr">
			    <xsl:attribute name="class">altRowColor</xsl:attribute>
			    <xsl:element name="td">
			      <xsl:attribute name="class">propertyValue</xsl:attribute>Unique Event Analysis Identifier assigned to the incident.	    
			    </xsl:element>
			    <xsl:element name="td">
			      <xsl:attribute name="class">propertyValue</xsl:attribute>
			      <xsl:attribute name="width">70%</xsl:attribute>
			      <xsl:value-of select="/ServiceEvent/ReportID" />
			    </xsl:element>
			  </xsl:element>
			  
			  <xsl:element name="tr">
			    <xsl:element name="td">
			      <xsl:attribute name="class">propertyValue</xsl:attribute>Time of the original event this service event relates to.	    
			    </xsl:element>
			    <xsl:element name="td">
			      <xsl:attribute name="class">propertyValue</xsl:attribute>
			      <xsl:attribute name="width">70%</xsl:attribute>
			      <xsl:value-of select="/ServiceEvent/EventTime" />
			    </xsl:element>
			  </xsl:element>
			  

			  <xsl:element name="tr">
			    <xsl:attribute name="class">altRowColor</xsl:attribute>
			    <xsl:element name="td">
			      <xsl:attribute name="class">propertyValue</xsl:attribute>Name of the system this service event was analyzed on.	    
			    </xsl:element>
			    <xsl:element name="td">
			      <xsl:attribute name="class">propertyValue</xsl:attribute>
			      <xsl:attribute name="width">70%</xsl:attribute>
			      <xsl:value-of select="/ServiceEvent/AnalysisSystemName" />
			    </xsl:element>
			  </xsl:element>

			  <xsl:element name="tr">
			    <xsl:element name="td">
			      <xsl:attribute name="class">propertyValue</xsl:attribute>This is a URL pointing to the Service Incident status in ISEE if available.	    
			    </xsl:element>
			    <xsl:element name="td">
			      <xsl:attribute name="class">propertyValue</xsl:attribute>
			      <xsl:attribute name="width">70%</xsl:attribute>
			      <xsl:element name="a">
			        <xsl:attribute name="href">
			          <xsl:value-of select="string(/ServiceEvent/ISEEEventURL)" />
			        </xsl:attribute>
			        <xsl:attribute name="target">_new</xsl:attribute>
			        <xsl:value-of select="string(/ServiceEvent/ISEEEventURL)" />
			      </xsl:element>
			    </xsl:element>
			  </xsl:element>
			  
			  <xsl:element name="tr">
			    <xsl:attribute name="class">altRowColor</xsl:attribute>
			    <xsl:element name="td">
			      <xsl:attribute name="class">propertyValue</xsl:attribute>Service Incident Identifier assigned to the incident report by the ISEE client.	    
			    </xsl:element>
			    <xsl:element name="td">
			      <xsl:attribute name="class">propertyValue</xsl:attribute>
			      <xsl:attribute name="width">70%</xsl:attribute>
			      <xsl:value-of select="/ServiceEvent/ISEEEventID" />
			    </xsl:element>
			  </xsl:element>
			  
			  
			  <xsl:element name="tr">
			    <xsl:element name="td">
			      <xsl:attribute name="class">propertyValue</xsl:attribute>The ID of the originally received event.</xsl:element>
			    <xsl:element name="td">
			      <xsl:attribute name="class">propertyValue</xsl:attribute>
			      <xsl:attribute name="width">70%</xsl:attribute>
			      <xsl:value-of select="/ServiceEvent/EventUniqueID" />
			    </xsl:element>
			  </xsl:element>
			  
			  
			  <xsl:element name="tr">
			    <xsl:attribute name="class">altRowColor</xsl:attribute>
			    <xsl:element name="td">
			      <xsl:attribute name="class">propertyValue</xsl:attribute>Recommended action.	    
			    </xsl:element>
			    <xsl:element name="td">
			      <xsl:attribute name="class">propertyValue</xsl:attribute>
			      <xsl:attribute name="width">70%</xsl:attribute>
			      <xsl:value-of select="/ServiceEvent/RecommendedAction" />
			    </xsl:element>
			  </xsl:element>
			  
			  <xsl:element name="tr">
			    <xsl:element name="td">
			      <xsl:attribute name="class">propertyValue</xsl:attribute>Replaceable Unit information.	    
			    </xsl:element>
			    <xsl:element name="td">
			      <xsl:attribute name="class">propertyValue</xsl:attribute>
			      <xsl:attribute name="width">70%</xsl:attribute>
			      <xsl:element name="pre">
			      	<xsl:value-of select="/ServiceEvent/FailingFRUList" />
			      </xsl:element>
			    </xsl:element>
			  </xsl:element>
			  
			  <xsl:element name="tr">
			    <xsl:attribute name="class">altRowColor</xsl:attribute>
			    <xsl:element name="td">
			      <xsl:attribute name="class">propertyValue</xsl:attribute>Replaceable Unit location.	    
			    </xsl:element>
			    <xsl:element name="td">
			      <xsl:attribute name="class">propertyValue</xsl:attribute>
			      <xsl:attribute name="width">70%</xsl:attribute>
			      <xsl:element name="pre">
			      	<xsl:value-of select="/ServiceEvent/FailingFRULocation" />
			      </xsl:element>
			    </xsl:element>
			  </xsl:element>
			  
			  <xsl:element name="tr">
			    <xsl:element name="td">
			      <xsl:attribute name="class">propertyValue</xsl:attribute>A URL pointing to additional repair information.	    
			    </xsl:element>
			    <xsl:element name="td">
			      <xsl:attribute name="class">propertyValue</xsl:attribute>
			      <xsl:attribute name="width">70%</xsl:attribute>
			      <xsl:element name="a">
			        <xsl:attribute name="href">
			          <xsl:value-of select="string(/ServiceEvent/CustomerSelfRepairURL )" />
			        </xsl:attribute>
			        <xsl:attribute name="target">_new</xsl:attribute>
			        <xsl:value-of select="string(/ServiceEvent/CustomerSelfRepairURL )" />
			      </xsl:element>
			    </xsl:element>
			  </xsl:element>
			  
			</xsl:element>
		</xsl:element>
	</xsl:template>

</xsl:stylesheet> 